<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- File/Synopsis/TypeAnalysis/TypeEvaluator.hh.html -->
<!-- this view was generated by FileIndex -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/TypeAnalysis/TypeEvaluator.hh</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileIndex">
<b >Synopsis/TypeAnalysis/TypeEvaluator.hh</b>
<div><a href="../../../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html" target="content">source code</a></div>
<div><a href="../../../FileDetails/Synopsis/TypeAnalysis/TypeEvaluator.hh.html" target="content">details</a></div>
<div class="heading">Declarations</div>
Synopsis<br/>
<div class="fileview-scope">TypeAnalysis<br/>
<div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" target="content" title="(class)">TypeEvaluator</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#TypeEvaluator_lconst.SymbolLookup_mScope_S_r" target="content" title="(member function)">TypeEvaluator</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#evaluate_lconst.PTree_mNode_S_r" target="content" title="(member function)">evaluate</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#my_scope" target="content" title="(data member)">my_scope</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#my_type" target="content" title="(data member)">my_type</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mArrayExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mArrowMemberExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mAssignExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mCastExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mCondExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mDeleteExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mDotMemberExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mFstyleCastExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mFuncallExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mIdentifier_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mInfixExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mKwd_mThis_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mLiteral_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mName_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mNewExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mParenExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mPmExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mPostfixExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mSizeofExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mThrowExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mTypeidExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mTypeofExpr_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html#visit_lPTree_mUnaryExpr_S_r" target="content" title="(member function)">visit</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis.html#type_of_lconst.PTree_mNode_S_cconst.SymbolLookup_mScope_S_r" target="content" title="(function)">type_of</a></div></div>
</div>

</body>
</html>
